Package: groovy.lang

## [Java] Class GroovyClassLoader.ClassCollector

- groovy.lang.GroovyClassLoader.ClassCollector

- All Implemented Interfaces and Traits:
    CompilationUnitClassgenCallback

      public static class GroovyClassLoader.ClassCollector
      extends Object
      implements CompilationUnitClassgenCallback

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)`
    `` | `protected Class` | `createClass(byte[] code, ClassNode classNode)`
    `` | `public GroovyClassLoader` | `getDefiningClassLoader()`
    `` | `public Collection` | `getLoadedClasses()`
    `` | `protected Class` | `onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### protected ClassCollector(InnerLoader cl, CompilationUnit unit, SourceUnit su)

  - ### Method Detail

    - #### @Override
      public void call(org.objectweb.asm.ClassVisitor classWriter, ClassNode classNode)

    - #### protected Class createClass(byte[] code, ClassNode classNode)

    - #### public GroovyClassLoader getDefiningClassLoader()

    - #### public Collection getLoadedClasses()

    - #### protected Class onClassNode(org.objectweb.asm.ClassWriter classWriter, ClassNode classNode)